package com.ser.assist.testgenerator;



public class MethodTrace {

    public final int level;
    public final long counter;
    public final String className;
    public final String methodName;
    public int methodIndex;
    public final int objectId; //hashcode

    public MethodTrace(long counter, String className,
                       String methodName, int level, int objectId){
        this.level = level;
        this.counter =  counter;
        this.className = className;
        this.methodIndex = -1;
        this.methodName = methodName;
        this.objectId = objectId;
    }

    public MethodTrace(int counter, String className,
                       String methodName, int level, int objectId, int methodIndex){
        this(counter, className, methodName, level, objectId);

        this.methodIndex = methodIndex;
    }



}
