import org.apache.commons.io.FilenameUtils;

public class Settings {

    public static String basePath = "z:\\Documents\\bide-files";

    //Shtutxml
    //public static String subjectAppName = "Shtutxml";

    //nanoxml
    public static String subjectAppName = "nanoxml";
    public static double initialValue = 0.02;

    //scribe
   // public static String subjectAppName = "scribe";
   // public static double initialValue = 0.01;

    public static int rank = 10;

    public static String bide_threshold_values[]; // = ["0.004"]

    //input files to generating bide input files
    public static String methodMapFile = FilenameUtils.concat(basePath, subjectAppName +"\\"+subjectAppName +  "-" + "method-map.json");
    public static String methodSequenceFile = FilenameUtils.concat(basePath, subjectAppName +"\\"+subjectAppName +  "-" +  "sequence.json");

    //BIDE related data
    public static String bideExecFolder = "C:\\Users\\gdevanla\\applications\\BIDE\\";
    public static String bideInputFileName = FilenameUtils.concat(basePath, subjectAppName+"\\"+subjectAppName + "-ip.txt");
    public static String bideSpecFileName = FilenameUtils.concat(basePath, subjectAppName +"\\"+subjectAppName+ "-ip.spec");
    public static String batchFileNameBase = FilenameUtils.concat(basePath, subjectAppName  + "\\");
    public static String batchFileNameEnd =   "\\"  + "cmd.bat";
    public static String bideOutputFileNameBase = FilenameUtils.concat(basePath, subjectAppName + "\\" );
    public static String bideOutputFileNameEnd =  "\\"+"frequent.dat";


    //BIDE output converted to methods

    public static String jsonOutputFileNameBase = FilenameUtils.concat(basePath, subjectAppName +"\\");
    public static String jsonOutputFileNameEnd = "\\"+subjectAppName+"-" + "OP.json";

     static {
         bide_threshold_values = new String[10];
         bide_threshold_values[0] = Double.toString(initialValue);
         for ( int i=1; i < 10 ; i++){
             double x = Double.parseDouble(bide_threshold_values[i-1])*2;
             bide_threshold_values[i] = Double.toString(x);
         }
     }

}
