package net.n3.nanoxml.acceptance;

import junit.framework.TestCase;
import net.n3.nanoxml.IXMLParser;
import net.n3.nanoxml.IXMLReader;
import net.n3.nanoxml.StdXMLReader;
import net.n3.nanoxml.XMLParserFactory;


public class XMLBuilderTest  extends TestCase {

    public void testBuilderRegister() throws Exception {

        String inputData = "<FOO attr1=\"fred\" attr2=\"barney\">\n" +
                "    <BAR a1=\"flintstone\" a2=\"rubble\">\n" +
                "        Some data.\n" +
                "    </BAR>\n" +
                "    <QUUX/>\n" +
                "</FOO>";

        IXMLParser parser
                = XMLParserFactory
                .createDefaultXMLParser();

        IXMLReader reader
                = StdXMLReader.stringReader(inputData);
        parser.setReader(reader);
        parser.setBuilder(new MyBuilder());
        parser.parse();
    }

}





